<permissions>

    <!-- =================== DISPLAY FEATURES BEGIN ================================ -->

    <!-- roundcorner deprecated feature -->
    <!-- settings£¬colorkaraoke£¬oppotranslation£¬ocrscanner£¬clock£¬clock£¬safacenter£¬screenrecoder£¬screenshot always use this deprecated feature -->
    <feature name="com.oppo.feature.screen.heteromorphism" />
    <!-- systemui always use this deprecated feature -->
    <feature name="oppo.mmdisplay.origin.roundcorner.support" />
    <!-- no use -->
    <!--feature name="oppo.roundcorner.support" /-->

    <!-- colormode deprecated feature -->
    <!-- eyeprotect,engineermode,systemui always use this deprecated feature -->
    <!-- feature name="oppo.display.colormode.support" /-->

    <!-- aod deprecated feature -->
    <!-- focusmode,systemui,mms,incallui,wallpaperchooser always use this deprecated feature -->
    <feature name="oppo.aod.support" />
    <!-- systemui always use this deprecated feature -->
    <feature name="oppo.aod.prevent.burn.support" />
    <!-- systemui£¬wallpaper always use this deprecated feature -->
    <!-- feature name="oppo.aod.ramless.support" / -->

    <!-- brightness deprecated feature -->
    <!-- videogallery, oppograllery, systemui always use this deprecated feature -->
    <feature name="oppo.autobrightctl.animation.support" />
    <!-- settingprovider always use this deprecated feature -->
    <feature name="oppo.brightness.mode.automatic" />
    <!-- systemui,shortcuts,engineermode,supportservices,deepthinker,oppoguardelf,videogallery,settingsprovider,oppogallery2 always use this deprecated feature -->
    <feature name="oppo.multibits.dimming.support" />
    <!-- settings always use this deprecated feature -->
    <!-- feature name="oppo.hdr.enhance.brightness.support" /-->
    <!-- no use -->
    <!--feature name="oppo.high.brightness.support" /-->
    <!-- no use -->
    <!-- feature name="oppo.camera.gallery.backlight.optimize" / -->
    <!-- no use -->
    <!-- feature name="oppo.display.screen.lowpower.hbm.disable.support" / -->
    <!-- no use -->
    <!--feature name="oppo.display.screen.gloablehbm.support" /-->

    <!-- sceen fingerprint deprecated feature -->
    <!-- childrenspace,launcher, safecenter,engineermode,settings,systemui,bootreg,wallpaperchooser,settingsprovider always use this deprecated feature -->
    <feature name="oppo.hardware.fingerprint.optical.support" />

    <!-- fingerprint dimlayer deprecated feature -->
    <!-- systemui always use this deprecated feature -->
    <feature name="oppo.fingerprint.disable.dimlayer" />

    <!-- game hqv deprecated feature -->
    <!-- settingsprovider always use this deprecated feature -->
    <!--feature name="oppo.game.color.plus.v2.support" /-->

    <!-- sceen mode deprecated feature -->
    <!-- gamespace always use this deprecated feature -->
    <feature name="oppo.appautoresolution.support" />
    <!-- screenshot£¬engineermode£¬systemui£¬settingsprovider£¬oppoguardelf£¬settings always use this deprecated feature -->
    <!--feature name="oppo.display.screen.90hz.support" /-->
    <!-- systemui£¬oppoguardelf always use this deprecated feature -->
    <!--feature name="oppo.dynamicfpsswitch.feature.support" /-->
    <!-- settingsprovider, settings always use this deprecated feature -->
    <!--feature name="oppo.display.screen.defaultsmartmode" /-->
    <!-- no use -->
    <!-- feature name="oppo.multi.device.decrease.refresh.rate" / -->

    <!-- underlightsensor deprecated feature -->
    <!-- gamespace always use this deprecated feature -->
    <feature name="oppo.display.screen.underlightsensor.support" />
    <!-- no use -->
    <!--feature name="oppo.autolight.psensor.notsupport" /-->

    <!-- gamespace always use this deprecated feature -->
    <!-- feature name="oppo.feature.haptic.vibrator.support" /-->

    <!-- dcbacklight deprecated feature -->
    <!-- no use -->
    <!--feature name="oppo.display.dcbacklight.support" /-->

    <!-- eyeprotect deprecated feature -->
    <feature name="oppo.eyeprotect.support" />
    <!-- =================== DISPLAY FEATURES END ================================== -->

</permissions>
